<?xml version="1.0"?>
<!--
/**
 * @author Amasty Team
 * @copyright Copyright (c) 2021 Amasty (https://www.amasty.com)
 * @package Amasty_Preorder
 */
-->

<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <body>
        <block class="Magento\Framework\View\Element\Template" name="preorder.list" template="Amasty_Preorder::product/list/preorder.phtml" ifconfig="ampreorder/functional/enabled">
            <arguments>
                <argument name="preorder_list_view_model" xsi:type="object">Amasty\Preorder\ViewModel\Product\ProductList\Preorder</argument>
            </arguments>
        </block>
    </body>
</page>
